# Generated by Django 2.2.7 on 2019-12-24 08:30

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('review', '0019_review_priority'),
    ]

    operations = [
        migrations.CreateModel(
            name='ReviewTextAuthor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='Date created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Date updated')),
                ('locale', models.CharField(max_length=10, verbose_name='locale')),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='review_authors', to=settings.AUTH_USER_MODEL, verbose_name='author')),
                ('review', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='text_authors', to='review.Review', verbose_name='review')),
            ],
            options={
                'verbose_name': 'Text author',
                'verbose_name_plural': 'Text authors',
                'unique_together': {('locale', 'review')},
            },
        ),
    ]
